Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class NewCompilerResources

    java.lang.Object
      org.python.core.NewCompilerResources

    public class NewCompilerResources

extends Object

This class contains stuff that almost exists in the library already, but with interfaces that I found more suitable. If others agree this should be migrated into the standard lib.

Author:
  Tobias Ivarsson

Constructor Summary
`NewCompilerResources()`

Method Summary
`static void` | `importAll(PyObject module, PyFrame frame)` Called from jython generated code when a statement like "from spam.eggs import *" is executed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewCompilerResources

    public NewCompilerResources()

Method Detail

### importAll

    public static void importAll(PyObject module,
                                 PyFrame frame)

  Called from jython generated code when a statement like "from spam.eggs import *" is executed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage